## python-django-contact-form 1.4.2

=== Makefile ===
PACKAGE_NAME=contact_form
TESTING_VENV_NAME=${PACKAGE_NAME}_test

ifndef PYTHON_VERSION
PYTHON_VERSION=3.6.0
endif

ifndef DJANGO_VERSION
DJANGO_VERSION=1.10
endif

.PHONY: clean
clean:
	python setup.py clean
	rm -rf build/
	rm -rf dist/
	rm -rf *.egg*/
	rm -rf ${PACKAGE_NAME}/__pycache__/
	rm -rf ${PACKAGE_NAME}/tests/__pycache__/
	find ${PACKAGE_NAME} -type f -name '*.pyc' -delete
	rm -f MANIFEST
	rm -rf coverage .coverage .coverage*
	pip uninstall -y Django

.PHONY: venv
venv:
	[ -e ~/.pyenv/versions/${TESTING_VENV_NAME} ] && \
	echo "\033[1;33mA ${TESTING_VENV_NAME} pyenv already exists. Skipping pyenv creation.\033[0m" || \
	pyenv virtualenv ${PYTHON_VERSION} ${TESTING_VENV_NAME}
	pyenv local ${TESTING_VENV_NAME}
	pip install --upgrade pip setuptools

.PHONY: teardown
teardown: clean
	pyenv uninstall -f ${TESTING_VENV_NAME}
	rm .python-version

.PHONY: django
django:
	pip install Django~=${DJANGO_VERSION}.0

.PHONY: test_dependencies
test_dependencies:
	[ -e test_requirements.txt ] && \
	pip install -r test_requirements.txt || \
	echo "\033[1;33mNo test_requirements.txt found. Skipping install of test_requirements.txt.\033[0m"
	pip install -r test_requirements.txt

.PHONY: lint
lint: test_dependencies
	flake8 ${PACKAGE_NAME}

.PHONY: test
test: django lint
	[ -e requirements.txt ] \
	&& pip install -r requirements.txt || \
	echo "\033[1;33mNo requirements.txt found. Skipping install of requirements.txt.\033[0m"
	pip install -e .
	coverage run ${PACKAGE_NAME}/runtests.py
	coverage report -m

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-contact-form.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-contact-form.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-contact-form"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-contact-form"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-django-contact-form 1.0

=== debian/changelog ===
python-django-contact-form (1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use pypi.debian.net redirector in debian/watch. 
  * Build Python 3 package (Closes: #782936).
  * Drop unneeded quilt build dependency.
  * Update source format to 3.0 (quilt).
  * Bump Standards-Version to 3.9.6.
  * Drop un-used patch, 01-add_form_args.diff

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 24 May 2015 12:09:46 -0400

python-django-contact-form (0+hg65-1) unstable; urgency=low

  * Team upload.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields

  [ Christophe Siraut ]
  * New upstream release
  * New maintainer is Debian Python Modules Team (Closes: #705275)
  * Add Christophe Siraut to Uploaders
  * Disable obsolete add_form_args patch
  * Fix documentation paths
  * Add README.source
  * Bump standards version to 3.9.5 without further change
  * Fix description (spam detection was dropped)
  * Use pybuild

  [ Andrew Starr-Bochicchio ]
  * Update format specification link in debian/copyright.
  * Drop unneeded build dependency on quilt.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 31 May 2014 13:34:59 -0400

python-django-contact-form (0+hg61-2) unstable; urgency=low

  * Fixed get-orig-source rule so that the source directory is named correctly.
  * Added 01-add_form_args.diff patch. (Closes: #526451)
  * Bumped Standards-Version.
  * Added Debian Python Modules Team to Uploaders, and updated Vcs-* fields to
    point to DPMT SVN.

 -- Daniel Watkins <daniel@daniel-watkins.co.uk>  Fri, 01 May 2009 11:40:39 +0100

python-django-contact-form (0+hg61-1) unstable; urgency=low

  * Initial release. (Closes: #518460)

 -- Daniel Watkins <daniel@daniel-watkins.co.uk>  Fri, 06 Mar 2009 10:41:37 +0000

=== debian/control ===
Source: python-django-contact-form
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Christophe Siraut <d@tobald.eu.org>
Build-Depends: debhelper (>= 7.0.50~),
               dh-python,
               python-all (>= 2.6.6-3~),
               python3-all,
               python-setuptools,
               python3-setuptools
Standards-Version: 3.9.6
Homepage: http://bitbucket.org/ubernostrum/django-contact-form/overview/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-django-contact-form/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-django-contact-form/trunk/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-django-contact-form
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-django (>= 1.0)
Description: extensible contact-form application for Django
 This is a reusable application which simplifies including a contact form within
 Django, the Python web framework. It provides a basic contact form which, once
 appropriate templates have been written, will email site administrators when
 the form is submitted. The form and view used are designed to be extensible and
 allow for easy adaptation to more complex needs.

Package: python3-django-contact-form
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-django (>= 1.0)
Description: extensible contact-form application for Django (Python 3)
 This is a reusable application which simplifies including a contact form within
 Django, the Python web framework. It provides a basic contact form which, once
 appropriate templates have been written, will email site administrators when
 the form is submitted. The form and view used are designed to be extensible and
 allow for easy adaptation to more complex needs.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME=django-contact-form
export PYBUILD_SYSTEM=distutils

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

get-orig-source:
	hg clone https://bitbucket.org/ubernostrum/django-contact-form/
	set -e; \
	revno=`hg tip --template "{rev}" -R django-contact-form` \
	dirname=python-django-contact-form-0+hg$$revno; \
	hg archive -R django-contact-form $$dirname; \
	rm $$dirname/.hg*; \
	tar zcf python-django-contact-form_0+hg$$revno.orig.tar.gz $$dirname; \
	rm -rf django-contact-form $$dirname

## python-django-contact-form 1.2~git23.8413069

=== debian/changelog ===
python-django-contact-form (1.2~git23.8413069-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #806363).
  * Drop 0001-Add-templates-for-tests-that-are-missing-from-the-up.patch
  * Re-enable tests against Python 3.5.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Fri, 25 Dec 2015 14:07:41 -0500

python-django-contact-form (1.1-1) unstable; urgency=medium

  [ Christophe Siraut ]
  * Removing Christophe Siraut from uploaders.

  [ Andrew Starr-Bochicchio ]
  * New upstream release.
  * Add myself to Uploaders.
  * Update homepage.
  * Remove obsolete get-orig-source target from debian/rules.
  * Update debian/docs for new file names.
  * Build depend on python{3}-django for running build time
    tests (Closes: #800673).
  * Disable tests when building against Python 3.5 due to bug
    in upstream Django (See: #800137).
  * Explicitly specify BSD-3-clause in debian/copyright.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 11 Oct 2015 14:16:35 -0400

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,19 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Christophe Siraut <d@tobald.eu.org>
+Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
                dh-python,
                python-all (>= 2.6.6-3~),
+               python-django,
                python3-all,
+               python3-django,
                python-setuptools,
                python3-setuptools
 Standards-Version: 3.9.6
-Homepage: http://bitbucket.org/ubernostrum/django-contact-form/overview/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-django-contact-form/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-django-contact-form/trunk/
+Homepage: https://github.com/ubernostrum/django-contact-form
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-django-contact-form.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-contact-form.git
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME=django-contact-form
export PYBUILD_SYSTEM=distutils

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
http://pypi.debian.net/django-contact-form/django-contact-form-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-django-contact-form 1.3

=== debian/changelog ===
python-django-contact-form (1.3-1) unstable; urgency=medium

  * New upstream release.
  * Use GitHub in debian/watch.
  * Bump Standards-Version to 3.9.8
  * Drop django-1.10-define-templates.patch, applied upstream.
  * Build docs in new python-django-contact-form-doc package.
  * Bump debian/compat to 10.
  * Override dh_clean and remove egginfo directory.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 24 Dec 2016 15:36:37 -0500

python-django-contact-form (1.2~git23.8413069-2) unstable; urgency=medium

  * django-1.10-define-templates.patch: define TEMPLATES to
    fix test runs under Django 1.10 (Closes: #828663).
    Thanks to Thomas Goirand!

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 20 Aug 2016 14:38:10 -0400

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,26 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 10),
                dh-python,
                python-all (>= 2.6.6-3~),
                python-django,
                python3-all,
                python3-django,
                python-setuptools,
-               python3-setuptools
-Standards-Version: 3.9.6
+               python3-setuptools,
+               python-sphinx,
+               python-sphinx-rtd-theme
+Standards-Version: 3.9.8
 Homepage: https://github.com/ubernostrum/django-contact-form
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-django-contact-form.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-contact-form.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-contact-form.git
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 
 Package: python-django-contact-form
 Architecture: all
+Recommends: python-django-contact-form-doc
 Depends: ${misc:Depends}, ${python:Depends}, python-django (>= 1.0)
 Description: extensible contact-form application for Django
  This is a reusable application which simplifies including a contact form within
@@ -30,6 +33,7 @@
 
 Package: python3-django-contact-form
 Architecture: all
+Recommends: python-django-contact-form-doc
 Depends: ${misc:Depends}, ${python:Depends}, python-django (>= 1.0)
 Description: extensible contact-form application for Django (Python 3)
  This is a reusable application which simplifies including a contact form within
@@ -39,3 +43,16 @@
  allow for easy adaptation to more complex needs.
  .
  This package installs the library for Python 3.
+
+Package: python-django-contact-form-doc
+Architecture: all
+Section: doc
+Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Description: extensible contact-form application for Django (documentation)
+ This is a reusable application which simplifies including a contact form within
+ Django, the Python web framework. It provides a basic contact form which, once
+ appropriate templates have been written, will email site administrators when
+ the form is submitted. The form and view used are designed to be extensible and
+ allow for easy adaptation to more complex needs.
+ .
+ This is the common documentation package.

## python-django-contact-form 1.4.2

=== debian/changelog ===
python-django-contact-form (1.4.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Team upload.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jul 2019 22:21:32 +0200

python-django-contact-form (1.4.2-2) unstable; urgency=medium

  * debian/control: Fix incorrect dependencies for
    python3-django-contact-form (Closes: #867426).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Fri, 14 Jul 2017 21:36:17 -0400

python-django-contact-form (1.4.2-1) unstable; urgency=medium

  * New upstream release (Closes: #865941).
  * Bump Standards-Version to 4.0.0, no changes.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 03 Jul 2017 10:48:49 -0400

=== debian/control ===
Source: python-django-contact-form
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
Build-Depends: debhelper-compat (= 10),
               dh-python,
               python3-all,
               python3-django,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme
Standards-Version: 4.0.0
Homepage: https://github.com/ubernostrum/django-contact-form
Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-contact-form.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-contact-form

Package: python3-django-contact-form
Architecture: all
Recommends: python-django-contact-form-doc
Depends: ${misc:Depends}, ${python3:Depends}, python3-django (>= 1.0)
Description: extensible contact-form application for Django (Python 3)
 This is a reusable application which simplifies including a contact form within
 Django, the Python web framework. It provides a basic contact form which, once
 appropriate templates have been written, will email site administrators when
 the form is submitted. The form and view used are designed to be extensible and
 allow for easy adaptation to more complex needs.
 .
 This package installs the library for Python 3.

Package: python-django-contact-form-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: extensible contact-form application for Django (documentation)
 This is a reusable application which simplifies including a contact form within
 Django, the Python web framework. It provides a basic contact form which, once
 appropriate templates have been written, will email site administrators when
 the form is submitted. The form and view used are designed to be extensible and
 allow for easy adaptation to more complex needs.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export PYBUILD_NAME=django-contact-form
export PYBUILD_SYSTEM=distutils

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html/

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build/ django_contact_form.egg-info/

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/ubernostrum/django-contact-form/tags .*/v?(\d\S+)\.tar\.gz

## python-django-contact-form 1.9

=== debian/changelog ===
python-django-contact-form (1.9-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

  [ Carsten Schoenert ]
  * [9edae6d] Adding d/gbp.conf for easier packaging
  * [1700c00] New upstream version 1.9
  * [bef6b15] d/watch: Update to version 4
  * [f9e9d15] d/rules: Adjust the dh_auto_test target
  * [36f65ed] python-django-modeltranslation-doc: Add sequencer for doc-base
  * [3a7a951] Running wrap-and-sort -ast
  * [c77a4ac] d/control: Order binary packages alphabetical
  * [a37617d] d/control: Remove min required ancient Django version
  * [facc9fb] d/control: Update Standards-Version to 4.6.0
  * [c65295e] d/control: Adding entry Rules-Requires-Root: no
  * [adbf744] python-django-contact-form-doc: Use dh_sphinxdoc
  * [fc6bf51] Remove left over cruft sequencer from Python2 removal
  * [da7de1c] Add patch queue from a patchqueue branch
  * [6e32563] d/control: Add new B-D to build the documentation

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 10 Sep 2021 17:42:20 +0200

=== debian/control ===
Source: python-django-contact-form
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrew Starr-Bochicchio <asb@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python-django-doc,
 python3-all,
 python3-django,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/ubernostrum/django-contact-form
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-contact-form.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-contact-form

Package: python-django-contact-form-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: extensible contact-form application for Django (documentation)
 This is a reusable application which simplifies including a contact form within
 Django, the Python web framework. It provides a basic contact form which, once
 appropriate templates have been written, will email site administrators when
 the form is submitted. The form and view used are designed to be extensible and
 allow for easy adaptation to more complex needs.
 .
 This is the common documentation package.

Package: python3-django-contact-form
Architecture: all
Recommends:
 python-django-contact-form-doc,
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Description: extensible contact-form application for Django (Python 3)
 This is a reusable application which simplifies including a contact form within
 Django, the Python web framework. It provides a basic contact form which, once
 appropriate templates have been written, will email site administrators when
 the form is submitted. The form and view used are designed to be extensible and
 allow for easy adaptation to more complex needs.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=django-contact-form
export PYBUILD_SYSTEM=distutils

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs $(CURDIR)/debian/python-django-contact-form-doc/usr/share/doc/python-django-contact-form-doc/html
	dh_sphinxdoc
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build/ django_contact_form.egg-info/

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYTHONPATH=src PYBUILD_TEST_ARGS="{interpreter} ./runtests.py" \
		dh_auto_test

=== debian/watch ===
# watch file for python-django-contact-form

version=4

opts="mode=git, \
      filenamemangle=s/.+\/(\d\S*)\.tar\.gz/python-django-contact-form-$1.tar.gz/ \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/; \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/ubernostrum/django-contact-form.git \
      refs/tags/([\d\.]+)

## python-django-contact-form 2.0.1

=== debian/changelog ===
python-django-contact-form (2.0.1-3) unstable; urgency=medium

  * Team upload.
  * Fix d/watch to detect v5.2.0

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sun, 31 Aug 2025 19:09:08 +0200

python-django-contact-form (2.0.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 06 Dec 2022 01:17:11 +0000

python-django-contact-form (2.0.1-1) unstable; urgency=medium

  * Team upload

  * [c302b8c] New upstream version 2.0.1
  * [034a91f] d/control: Update Standards-Version to 4.6.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 06 Jun 2022 18:08:14 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,14 @@
  Andrew Starr-Bochicchio <asb@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python-django-doc,
  python3-all,
  python3-django,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/ubernostrum/django-contact-form
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-contact-form.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-contact-form
@@ -25,6 +24,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: extensible contact-form application for Django (documentation)
  This is a reusable application which simplifies including a contact form within
  Django, the Python web framework. It provides a basic contact form which, once

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_SYSTEM=distutils
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build: export http_proxy=127.0.0.1:9
 override_dh_auto_build: export https_proxy=127.0.0.1:9
@@ -16,8 +16,7 @@
 	dh_sphinxdoc
 endif
 
-override_dh_auto_clean:
-	dh_auto_clean
+executer_after_dh_auto_clean:
 	rm -rf build/ django_contact_form.egg-info/
 
 override_dh_auto_test:

=== debian/watch ===
version=4
https://github.com/ubernostrum/django-contact-form/tags (?:.*/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## python-django-contact-form 5.2.0

=== debian/changelog ===
python-django-contact-form (5.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use dh-sequence-sphinxdoc.
  * Simplify a debhelper override slightly.
  * Enable autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Sun, 30 Nov 2025 15:55:37 +0000

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,25 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ dh-sequence-sphinxdoc,
+ furo,
+ pybuild-plugin-pyproject,
  python-django-doc,
  python3-all,
- python3-django,
- python3-setuptools,
+ python3-django (>= 3:4.2),
+ python3-pdm-backend,
+ python3-pytest <!nocheck>,
+ python3-pytest-django <!nocheck>,
  python3-sphinx,
- python3-sphinx-rtd-theme,
+ python3-sphinx-copybutton,
+ python3-sphinx-inline-tabs,
+ python3-sphinx-notfound-page,
+ python3-sphinxext-opengraph,
 Standards-Version: 4.7.2
 Homepage: https://github.com/ubernostrum/django-contact-form
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-contact-form.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-contact-form
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python-django-contact-form-doc
 Architecture: all
@@ -39,7 +48,6 @@
 Recommends:
  python-django-contact-form-doc,
 Depends:
- python3-django,
  ${misc:Depends},
  ${python3:Depends},
 Description: extensible contact-form application for Django (Python 3)

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export DEB_VERSION_UPSTREAM  # used by patched docs/conf.py

export PYBUILD_NAME=django-contact-form
# akismet is not yet packaged in Debian.
export PYBUILD_TEST_ARGS := \
    --ds=tests.test_settings \
    --ignore=tests/test_akismet_integration.py

%:
	dh $@ --buildsystem=pybuild

ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
execute_before_dh_sphinxdoc:
	PYTHONPATH=src python3 -m sphinx -b html -N docs $(CURDIR)/debian/python-django-contact-form-doc/usr/share/doc/python-django-contact-form-doc/html
endif
